
public abstract class Class225_Sub12 extends Class225 {

   Class225_Sub12 aClass225_Sub12_8535;
   volatile boolean aBool8536 = true;
   Class225_Sub26 aClass225_Sub26_8537;
   int anInt8538;


   abstract Class225_Sub12 method13563();

   int method13564() {
      return 255;
   }

   final void method13565(int[] var1, int var2, int var3) {
      if(this.aBool8536) {
         this.method13573(var1, var2, var3);
      } else {
         this.method13580(var3);
      }

   }

   abstract Class225_Sub12 method13566();

   abstract int method13567();

   final void method13568(int[] var1, int var2, int var3) {
      if(this.aBool8536) {
         this.method13573(var1, var2, var3);
      } else {
         this.method13580(var3);
      }

   }

   int method13569() {
      return 255;
   }

   abstract Class225_Sub12 method13570();

   final void method13571(int[] var1, int var2, int var3) {
      if(this.aBool8536) {
         this.method13573(var1, var2, var3);
      } else {
         this.method13580(var3);
      }

   }

   abstract Class225_Sub12 method13572();

   abstract void method13573(int[] var1, int var2, int var3);

   abstract int method13574();

   abstract void method13575(int[] var1, int var2, int var3);

   abstract void method13576(int var1);

   int method13577() {
      return 255;
   }

   int method13578() {
      return 255;
   }

   abstract int method13579();

   abstract void method13580(int var1);

   final void method13581(int[] var1, int var2, int var3) {
      if(this.aBool8536) {
         this.method13573(var1, var2, var3);
      } else {
         this.method13580(var3);
      }

   }

   abstract Class225_Sub12 method13582();

   final void method13583(int[] var1, int var2, int var3) {
      if(this.aBool8536) {
         this.method13573(var1, var2, var3);
      } else {
         this.method13580(var3);
      }

   }

   int method13584() {
      return 255;
   }
}
